Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_PolicyFactory_Registry Class Reference

ORB-specific PortableInterceptor::PolicyFactory registry. More...

`#include <PolicyFactory_Registry.h>`

Collaboration diagram for TAO_PolicyFactory_Registry:

[legend]
List of all members.

## Public Types
typedef ACE_Map_Manager< CORBA::PolicyType, PortableInterceptor::PolicyFactory_ptr, ACE_Null_Mutex > | TABLE
## Public Methods
| TAO_PolicyFactory_Registry (void)
| Constructor.
| ~TAO_PolicyFactory_Registry (void)
| Destructor. Releases duplicated PolicyFactory references.
void | register_policy_factory (CORBA::PolicyType type, PortableInterceptor::PolicyFactory_ptr policy_factory ACE_ENV_ARG_DECL)
CORBA::Policy_ptr | create_policy (CORBA::PolicyType type, const CORBA::Any &value ACE_ENV_ARG_DECL)
CORBA::Policy_ptr | _create_policy (CORBA::PolicyType type ACE_ENV_ARG_DECL)
## Private Attributes
TABLE | factories_
| The table that maps policy type to policy factory.

## Detailed Description

ORB-specific PortableInterceptor::PolicyFactory registry.

ORB-specific registry that contains all portable interceptor policy factories.

## Member Typedef Documentation

typedef ACE_Map_Manager<CORBA::PolicyType, PortableInterceptor::PolicyFactory_ptr, ACE_Null_Mutex> TAO_PolicyFactory_Registry::TABLE

| The type of table that maps policy type to policy factory. Note: An ACE_Null_Mutex is used for this type since policy factories are only registered when CORBA::ORB_init() is called, at which a point a lock has already been acquired. In short, the table is only modified during ORB bootstrap-time.

## Constructor & Destructor Documentation

TAO_PolicyFactory_Registry::TAO_PolicyFactory_Registry | ( | void |  | ) |

| Constructor.

TAO_PolicyFactory_Registry::~TAO_PolicyFactory_Registry | ( | void |  | ) |

| Destructor. Releases duplicated PolicyFactory references.

## Member Function Documentation

CORBA::Policy_ptr TAO_PolicyFactory_Registry::_create_policy | ( | CORBA::PolicyType type | ACE_ENV_ARG_DECL | ) |

| Create an empty policy, usually to be filled in later by demarshaling.

CORBA::Policy_ptr TAO_PolicyFactory_Registry::create_policy | ( | CORBA::PolicyType | type,
|  | const CORBA::Any &value | ACE_ENV_ARG_DECL
| ) |

| Construct a policy of the given type with the information contained in the CORBA::Any <value>.

void TAO_PolicyFactory_Registry::register_policy_factory | ( | CORBA::PolicyType | type,
|  | PortableInterceptor::PolicyFactory_ptr policy_factory | ACE_ENV_ARG_DECL
| ) |

| Register a PolicyFactory with the underlying PolicyFactory sequence. This method should only be called during ORB initialization.

## Member Data Documentation

TABLE TAO_PolicyFactory_Registry::factories_`[private]`

| The table that maps policy type to policy factory.

The documentation for this class was generated from the following files:

- PolicyFactory_Registry.h
- PolicyFactory_Registry.cpp